/**
 * Created by stud on 18.06.2015.
 */

import java.math.BigDecimal;

import java.util.ArrayList;

public class Quantity {
    private BigDecimal amount;//какое количество
    private Kind kind; // в чём количество

    public Quantity(BigDecimal amount, Kind kind) {//конструктор объекта
        this.amount = amount;
        this.kind = kind;
    }

    public Quantity(String amount, Kind kind) {
        this(new BigDecimal(amount), kind);
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Kind getKind() {
        return kind;
    }

    public void setKind(Kind kind) {
        this.kind = kind;
    }

    @Override
    public String toString() {//вывод
        return amount + " " + kind;
    }


    public BigDecimal convert(BigDecimal amount,
                               Kind currency1, Kind currency2) {
        // 1. Сконвертировать amount в базовую валюту RUR
        BigDecimal result = amount.multiply(currency1.getS());

        // 2. Сконвертировать получившуюся сумму в целевую валюту currency 2
        result = result.divide(currency2.getS(), 2, BigDecimal.ROUND_HALF_EVEN);

        return result;
    }
}
